<?php
/**
* 設定を定義するインターフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

interface IConfigProvider
{
	/*
	 * 設定プロバイダ名
	 */
	public function getProviderName();

	/*
	 *　設定をロード
	 */
	public function load( $config_root, $config_name );

}
